quvi-0.9.5-lp150.19.7.x86_64.rpm


Advertisement

Description

quvi - Command line tool for parsing flash media stream URLs

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Multimedia Libs all
Package name quvi
Package version 0.9.5
Package release lp150.19.7
Package architecture x86_64
Package type rpm
Installed size 202.45 KB
Download size 83.89 KB
Official Mirror ftp.gwdg.de
quvi is a command line tool for parsing flash media stream URLs.
It supports many websites including YouTube and Dailymotion.

Alternatives

Package Version Architecture Repository
quvi-0.9.5-lp150.1.6.x86_64.rpm 0.9.5 x86_64 openSUSE Oss
quvi - - -

Requires

Name Value
libc.so.6(GLIBC_2.14)(64bit) -
libcurl.so.4()(64bit) -
libglib-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libjson-glib-1.0.so.0()(64bit) -
libquvi-0.9-0.9.4.so()(64bit) -
libxml2.so.2()(64bit) -
libxml2.so.2(LIBXML2_2.4.30)(64bit) -
libxml2.so.2(LIBXML2_2.6.0)(64bit) -
libxml2.so.2(LIBXML2_2.6.3)(64bit) -

Provides

Name Value
quvi = 0.9.5-lp150.19.7
quvi(x86-64) = 0.9.5-lp150.19.7

Download

Type URL
Binary Package quvi-0.9.5-lp150.19.7.x86_64.rpm
Source Package quvi-0.9.5-lp150.19.7.src.rpm

Install Howto

  1. Add the openSUSE Multimedia Libs repository:
    # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/multimedia:/libs/openSUSE_Leap_15.0/ opensuse-multimedia-libs
  2. Install quvi rpm package:
    # zypper install quvi

Files

Path
/usr/bin/quvi
/usr/share/doc/packages/quvi/AUTHORS
/usr/share/doc/packages/quvi/COPYING
/usr/share/doc/packages/quvi/ChangeLog
/usr/share/doc/packages/quvi/NEWS
/usr/share/doc/packages/quvi/README
/usr/share/man/man1/quvi-dump.1.gz
/usr/share/man/man1/quvi-get.1.gz
/usr/share/man/man1/quvi-info.1.gz
/usr/share/man/man1/quvi-scan.1.gz
/usr/share/man/man1/quvi.1.gz
/usr/share/man/man5/quvirc.5.gz

Changelog

2017-01-22 - bwiedemann@suse.com
- Add reproducible.patch to allow for reproducible builds
2014-02-10 - dimstar@opensuse.org
- Update to version 0.9.5:
+ Fix compilation errors:
- array initialized from parenthesized string constant.
- comma at end of enumerator list.
+ linput: Rewrite input parsing completely.
+ quvi-dump: Do not escape reserved chars in URLs.
- Changes from version 0.9.4:
+ Add --enable-cookies.
+ g_type_init: no longer needs to be called.
+ Revise --version output.
+ --version: Add "configuration" to output.
+ --version: Add QUVI_VERSION_SCRIPTS_CONFIGURATION to output.
- Changes from version 0.9.3.1:
+ AC_PREREQ: Bump to 2.69/
+ DOC: Add chevs and (missing) ARGNAMEs to "config:" lines.
+ status: Mark message output for translation.
+ status: Redo frames to look similar to progressbar frames.
2013-08-26 - dimstar@opensuse.org
- Update to version 0.9.3:
+ cb_status: Update for user_data
+ configure.ac: Require a2x when building from git.
+ DOC: --exec: Add details to %e and %f sequences.
+ DOC: --exec: Add the missing %e sequence.
+ DOC: quvi-get(1): Revise the output-regex description.
+ FIX: configure.ac: AS_IF for date(1).
+ FIX: regex pattern extraction (e.g. --output-regex).
+ status: Replace use of GDateTime with static frames.
+ --version: Add CC and CFLAGS to output.
+ --version: libquvi: Add QUVI_VERSION_BUILD_CC_FLAGS to output.
- Add new BuildRequires, based on configure checks:
+ pkgconfig(glib-2.0)
+ pkgconfig(gobject-2.0)
+ pkgconfig(json-glib-1.0)
+ pkgconfig(libxml-2.0)
- Replace pkgconfig(libquvi) BuildRequires with
pkgconfig(libquvi-0.9), following the port to libquvi-0.9.
2013-05-04 - grauwolf@geekosphere.org
- Update to version 0.4.2
+ Add "%e" to print the extension of the linked file
+ Add "%h" to print the thumbnail URL for a link
2012-01-10 - vuntz@opensuse.org
- Update to version 0.4.1:
+ Accept multiple occurences of --exec
+ Add verbosity level 'mute'
+ Add new options: --export-format, --export-level, --verbosity,
- -category, --feature
+ Deprecate options: --verbose-libcurl, --category-*, --quiet,
- -no-*, --xml
+ Properly escape strings passed to shell
- Changes from version 0.4.0:
+ Split old code in three modules: quvi, libquvi,
libquvi-scripts.
+ Make --category-all new default (prev. --category-http)
+ Extend --exec to support %t, page title
+ Remove deprecated "--format (help|list)"
+ Remove deprecated "--no-shortened"
+ Remove deprecated "--old"
- Completely rework packaging, following the upstream split in
three modules. This can be considered as a new package.
2011-11-29 - ro@suse.de
- add missing include stdio.h to fix build
2011-08-09 - dnh@opensuse.org
- fixed soname in .spec (warnings: TODO)
2011-08-07 - dnh@opensuse.org
- upstream update to 0.2.19 (YT has changed API once again)

See Also

Package Description
rmedigicontrol-0.3.5a-lp150.109.1.x86_64.rpm GUI control tool for RME Digi32 and RME Digi96 soundcards
rtaudio-devel-5.0.0-lp150.4.3.x86_64.rpm Development files for rtaudio
rtmidi-devel-3.0.0-lp150.3.1.x86_64.rpm Development files for rtmidi
rubberband-cli-1.8.1-lp150.25.10.x86_64.rpm Command line interface for librubberband
rubberband-ladspa-1.8.1-lp150.25.10.x86_64.rpm LADSPA plugin for librubberband
rubberband-vamp-1.8.1-lp150.25.10.x86_64.rpm Vamp plugins for librubberband
sapplay-1.51.1-lp150.660.4.x86_64.rpm Plays Atari XL/XE tune files (files with .sap extension)
sbiload-0.4.0-lp150.109.1.x86_64.rpm OPL2/3 FM instrument loader
schroedinger-devel-1.0.11-lp150.27.5.x86_64.rpm Library for decoding and encoding video in the Dirac format
schroedinger-doc-1.0.11-lp150.27.5.x86_64.rpm Library for decoding and encoding video in the Dirac format
serd-devel-0.30.0-lp150.18.1.x86_64.rpm Development files for libserd
serdi-0.30.0-lp150.18.1.x86_64.rpm Read and write RDF syntax
shairplay-20160101-lp150.1.4.x86_64.rpm Apple airplay and raop protocol server
shairplay-devel-20160101-lp150.1.4.x86_64.rpm Development files for shairplay
sndio-1.0.1-lp150.10.7.x86_64.rpm Small audio and MIDI framework
Advertisement
Advertisement